Admins & Permissions
Edit an existing admin
PUT
/
client
/
admins
/
{admin_id}
Edit an existing admin
curl --request PUT \
--url https://api.helpyousponsor.com/v1/client/admins/{admin_id} \
--header 'Content-Type: application/json' \
--header 'X-HYS-API-Key: <api-key>' \
--data '
{
"email": "admin@gmail.com",
"first_name": "John",
"last_name": "Doe",
"group_id": "1",
"client_id": "1",
"id": 1
}
'import requests
url = "https://api.helpyousponsor.com/v1/client/admins/{admin_id}"
payload = {
"email": "admin@gmail.com",
"first_name": "John",
"last_name": "Doe",
"group_id": "1",
"client_id": "1",
"id": 1
}
headers = {
"X-HYS-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'X-HYS-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
email: 'admin@gmail.com',
first_name: 'John',
last_name: 'Doe',
group_id: '1',
client_id: '1',
id: 1
})
};
fetch('https://api.helpyousponsor.com/v1/client/admins/{admin_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "Admin details updated successfully"
}{
"message": "There was a problem updating this admin"
}{
"message": "Validation error",
"errors": {}
}{
"message": "Server error"
}Authorizations
API key generated from Developer Settings. Format: hys_...
Path Parameters
The ID of the admin to be edited
Body
application/json
Admin details to be edited
Response
Admin details updated successfully
Example:
"Admin details updated successfully"
⌘I
Edit an existing admin

